Subject: bug#74532: with-extensions does not add native extensions to the load path

From: "Timo Wilken" <[email-masked]>
Date: Sat, 15 Mar 2025 22:04:53 +0100

Hi,

Since I ran into this problem with guile-yamlpp today, I went ahead and
implemented Z572's suggestion.

It still feels wrong to do this on a per-package basis (shouldn't
`with-extension' take care of setting up the path?), but hey ho.

I needed the fallback (as suggested by Z572), else tests would fail (as
predicted by Tomas).

Like this, the whole chain works for me; in my case:

(computed-file "test"
  (with-extensions (list guile-yamlpp)
    #~(use-modules (yamlpp))))

Patch incoming.

Cheers,
Timo